package com.engine.salary.formlua.entity.parameter;

import com.alibaba.fastjson.JSONObject;


public class ExcelFunc {

	private String name;//函数名称
	private String chineseName;//中文
	private String description;//函数描述
	private String formatString;//函数格式
	private String[] paramArray;//函数参数列表
	private String[] paramData;//参数默认数据
	private String returnType;//返回类型
	private String type="function";//
	private String validForm;//有效的表单类型 current用户当前表单、all 用户所有表单
	private JSONObject jsonFormat;
	private String module;
	public ExcelFunc(){}

	/**
	 *
	 * @param name 名称
	 * @param description 描述
	 * @param formatString 格式
	 * @param paramArray 参数列表
	 * @param returnType 返回类型
	 */
	public ExcelFunc(String name,String chineseName, String description, String formatString, String[] paramArray,String[] paramData, String returnType,JSONObject jsonFormat,String validForm) {
		this.name = name;
		this.chineseName=chineseName;
		this.description = description;
		this.formatString = formatString;
		this.paramArray = paramArray;
		this.returnType = returnType;
		this.jsonFormat=jsonFormat;
		this.paramData=paramData;
		this.validForm=validForm;
	}
	public ExcelFunc(String name,String chineseName, String description, String formatString, String[] paramArray,String[] paramData, String returnType,String validForm) {
		this.name = name;
		this.chineseName=chineseName;
		this.description = description;
		this.formatString = formatString;
		this.paramArray = paramArray;
		this.returnType = returnType;
		this.paramData=paramData;
		this.validForm=validForm;
	}

	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}

	public String getValidForm() {
		return validForm;
	}

	public void setValidForm(String validForm) {
		this.validForm = validForm;
	}

	public String getChineseName() {
		return chineseName;
	}

	public void setChineseName(String chineseName) {
		this.chineseName = chineseName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFormatString() {
		return formatString;
	}

	public void setFormatString(String formatString) {
		this.formatString = formatString;
	}

	public String[] getParamArray() {
		return paramArray;
	}

	public void setParamArray(String[] paramArray) {
		this.paramArray = paramArray;
	}

	public String getReturnType() {
		return returnType;
	}

	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}

	public JSONObject getJsonFormat() {
		return jsonFormat;
	}

	public void setJsonFormat(JSONObject jsonFormat) {
		this.jsonFormat = jsonFormat;
	}

	public String[] getParamData() {
		return paramData;
	}

	public void setParamData(String[] paramData) {
		this.paramData = paramData;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
